## utils utils |

## Functions

#define | FREE_STRING()
#define | FREE_OBJECT()
#define | SET_STRING()
gchar * | unhtmlize ()
gchar * | unxmlize ()
gchar * | xhtml_extract ()
xmlDocPtr | content_to_xml ()
xmlDocPtr | file_to_xml ()
time_t | date_parse_RFC822 ()
time_t | date_parse_ISO8601 ()
gchar * | date_to_ISO8601 ()
GInetAddress * | detect_internet_address ()
gboolean | address_seems_public ()
gboolean | test_url ()

## Types and Values

#define | PACKAGE

## Description

## Functions

### FREE_STRING()

    #define FREE_STRING(__str) if (__str) { g_free (__str); __str = NULL; }

### FREE_OBJECT()

    #define FREE_OBJECT(__obj) if (__obj) { g_object_unref (__obj); __obj = NULL; }

### SET_STRING()

    #define SET_STRING(__str) (__str == NULL ? NULL : g_strdup (__str))

### unhtmlize ()

    gchar *
    unhtmlize (gchar *string);

### unxmlize ()

    gchar *
    unxmlize (gchar *string);

### xhtml_extract ()

    gchar *
    xhtml_extract (xmlNodePtr xml,
                   gint xhtmlMode,
                   const gchar *defaultBase);

### content_to_xml ()

    xmlDocPtr
    content_to_xml (const gchar *contents,
                    gsize size);

### file_to_xml ()

    xmlDocPtr
    file_to_xml (const gchar *path);

### date_parse_RFC822 ()

    time_t
    date_parse_RFC822 (const gchar *date);

### date_parse_ISO8601 ()

    time_t
    date_parse_ISO8601 (const gchar *date);

### date_to_ISO8601 ()

    gchar *
    date_to_ISO8601 (time_t date);

### detect_internet_address ()

    GInetAddress *
    detect_internet_address ();

### address_seems_public ()

    gboolean
    address_seems_public (GInetAddress *addr);

### test_url ()

    gboolean
    test_url (const gchar *url);

## Types and Values

### PACKAGE

    #define PACKAGE			"libgrss"